Bug 859227 - systemd power key/sleep key/lid switch handling changed
systemd power key/sleep key/lid switch handling changed
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kde-workspace (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukáš Tinkl
Fedora Extras Quality Assurance
: Reopened
: 885396 896073 (view as bug list)
Depends On: kde-4.10
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-20 16:32 EDT by Lennart Poettering
Modified: 2015-07-13 04:12 EDT (History)
29 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-17 22:34:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
moondrake: fedora_requires_release_note+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 307412 None None None 2012-09-26 05:10:36 EDT

  None (edit)
Description Lennart Poettering 2012-09-20 16:32:53 EDT
With systemd-190 (in F18) we changed the handling of the sleep key/power key/lid switch. systemd/logind will now always act on this regardless if we have a text console or a graphical session in the foreground.

I am not sure whether KDE previously currently handles these keys on its own. If so, and if it wants to continue to do so (maybe in order to present a dialog or so if the key is pressed?) it needs to take new inhibitor locks to tell systemd/logind to stop handling these keys while KDE is running and in the fg.

Ideally, KDE would take these locks as part of its session manager in native C++. If that's not desired, then there's a temporary hack, by wrapping invocation of the KDE session manager in "systemd-inhibit", which is a command line iface for taking these inhibitor locks:

systemd-inhibit --what=handle-power-key:handle-sleep-key:handle-lid-switch kde-session

For more information about all of this:

https://bugzilla.gnome.org/show_bug.cgi?id=680689
http://www.freedesktop.org/wiki/Software/systemd/inhibit
http://lists.freedesktop.org/archives/systemd-devel/2012-September/006604.html
https://bugzilla.redhat.com/show_bug.cgi?id=859224
Comment 1 Kevin Kofler 2012-09-20 23:36:31 EDT
Yes, we definitely want to handle these keys inside Plasma, both to present Plasma dialogs where appropriate and to handle the settings in KDE System Settings.

IMHO, it's unfortunate that systemd now soft-codes this, inhibiting the systemd actions when a graphical session is active was a good default.
Comment 2 Lukáš Tinkl 2012-09-21 08:55:43 EDT
I'll take care of it, seems straightforward.

The best place for this would probably be PowerDevil which normally handles these keys/events.

Plus, as a bonus, we get at least some powersave features in kdm ;)
Comment 3 Lukáš Tinkl 2012-09-22 02:45:13 EDT
Just for clarification, you cite here the "handle-sleep-key" but the documentation at http://www.freedesktop.org/wiki/Software/systemd/inhibit specifies 2 other distinct keys: "handle-suspend-key" and "handle-hibernate-key". So which one is correct???
Comment 4 Lukáš Tinkl 2012-09-22 13:35:17 EDT
KDE review request: https://git.reviewboard.kde.org/r/106533/
Comment 5 Lennart Poettering 2012-09-24 19:23:26 EDT
(In reply to comment #3)
> Just for clarification, you cite here the "handle-sleep-key" but the
> documentation at http://www.freedesktop.org/wiki/Software/systemd/inhibit
> specifies 2 other distinct keys: "handle-suspend-key" and
> "handle-hibernate-key". So which one is correct???

The latter. We needed to split this up after I filed this bug. Sorry for the confusion and for not updating this bug report!
Comment 6 Lukáš Tinkl 2012-09-25 09:44:16 EDT
Ok, I updated the above review request accordingly.
Comment 7 Lukáš Tinkl 2012-09-26 08:21:20 EDT
One last question, are the "who" and "why" strings meant to be displayed to the user anywhere, like possibly thru polkit auth agent?
Comment 8 Lennart Poettering 2012-09-28 06:22:25 EDT
(In reply to comment #7)
> One last question, are the "who" and "why" strings meant to be displayed to
> the user anywhere, like possibly thru polkit auth agent?

The polkit thingy doesn't show them right now. But yes, these strings are shown in the UI when appropriate. For now you can see them with "systemd-inhibit --list".
Comment 9 Lukáš Tinkl 2012-10-02 11:17:50 EDT
Oh, forgot to add this bug to the F18 update, anyways 4.9.2 fixes this, closing
Comment 10 Kevin Kofler 2012-10-03 19:07:04 EDT
Reopening as per upstream bug.
Comment 11 Rex Dieter 2012-10-04 13:53:15 EDT
OK, tested the patch proposed in http://bugs.kde.org/show_bug.cgi?id=307412 against systemd-194, it appears to work as expected now.

Sleep on lid close works correcly (happens only once).
Comment 12 Rex Dieter 2012-10-04 13:54:08 EDT
confirmed that hitting power switch works as expected too (being captured by powerdevil).
Comment 13 Lukáš Tinkl 2012-10-05 06:04:43 EDT
Thanks for testing, I've committed the fix upstream
(http://commits.kde.org/kde-workspace/a18b78d7da8cb8d627ad2e85f666bfcf1a2721e1)
Comment 14 Fedora Update System 2012-10-09 16:23:16 EDT
kde-workspace-4.9.2-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kde-workspace-4.9.2-4.fc18
Comment 15 Rex Dieter 2012-11-19 08:59:16 EST
It seems that systemd-inhibit doesn't seem to be working properly for me.  We've patched kde accordingly, and prior to suspending I verified,

$ systemd-inhibit --list
WHAT                  WHO                  WHY                  MODE     UID    PID
handle-power-key:handle-suspend-key:handle-hibernate-key:handle-lid-switch PowerDevil           KDE handles p...ents block   1000   1553

1 inhibitors listed.


I close the lid to suspend, and on opening to wake, it immediately sleeps again.
Comment 16 Rex Dieter 2012-11-19 09:12:15 EST
$ rpm -q  kde-workspace
kde-workspace-4.9.3-2.fc18.x86_64

Lennart (and systemd friends), any hints on how to double-check/debug if systemd is missing the inhibit and/or handing the suspends properly or not?
Comment 17 nucleo 2012-12-15 18:04:04 EST
I have problem with system sleep just after opening lid - Bug 885396 (please close it if duplicate of this bug).
Comment 18 moondrake 2012-12-17 10:08:33 EST
I can confirm that it is double suspending even although the lock is reported by systemd-inhibit (as mentioned in 15). It seems systemd is not respecting the lock.... 

Strangely, turning off the handling of the lid in kde-settings results in no suspend at all, but turning it on double-suspends.

changing HandleLidSwitch=ignore in logind is a workaround.

Am I going to see this fixed before F18 release? AFAICT it is a systemd bug, not a kde one...
Comment 19 Lukáš Tinkl 2012-12-20 06:41:38 EST
I too think it's a systemd bug, here's what happens imho: The inhibition is setup correctly (as verified by comment #15) but on resume, the systemd filedescriptor used for tracking the inhibition goes away and before PowerDevil has the chance to set it up again, systemd erroneously detects the lid event and puts the laptop back to sleep.

Tentatively reassigning to systemd
Comment 20 moondrake 2012-12-22 15:10:07 EST
Actually, it may be a bug on both sides, as I said: if I turn off suspend in kde, systemd also fails to suspend. Is powerdevel acquiring the lock even when it is asked not to deal with suspend? 

This is also very confusing from a usability pov. It is not mentioned that there is a completely different system dealing with powermanagement regardless of what the user is trying to do. It would be better if powerdevil somehow configured systemd's behaviour instead of offering a completely independent way. 

However, I doubt this is going to be fixed for f18, it is already hard enough to draw systemd's peoples attention...

What could be done for f18 is put the taking of the lock into a checkbox, this would make it clear to the user that something else can handle powermanagement, and also it may help to make the machine actually suspend (once) if I disable suspend in powerdevil.

wdyt?
Comment 21 Kevin Kofler 2012-12-24 07:37:38 EST
> Actually, it may be a bug on both sides, as I said: if I turn off suspend in
> kde, systemd also fails to suspend. Is powerdevel acquiring the lock even when
> it is asked not to deal with suspend?

Turning off suspend means you don't want the computer to suspend when closing the lid (the same thing it has always meant), not that you want systemd to handle it.

This is exactly why we don't want systemd to handle this, we want KDE settings to be honored.
Comment 22 moondrake 2012-12-27 09:22:27 EST
Kevin: perhaps the question is: should powerdevil not have an option to allow you to ask it not to deal with suspend.

(after more than 10 years as package maintainer I became somewhat cynical, and I think that systemd people would rather not allow kde to handle its own, and if you try to do it anyway, you will just get bugs like this one that screw up everything).
Comment 23 Rex Dieter 2013-01-10 12:31:00 EST
Fairly certain we have a logind bug and/or documentation bug.

Confirmed the inhibitor definitely not working as advertised.  Setting
/etc/systemd/logind.conf: HandleLidSwitch=ignore

makes problem of double sleep (in presence of active inhibitor, see comment #15) go away.


A documentation bug is possible too, I see also in logind.conf and on http://www.freedesktop.org/software/systemd/man/logind.conf.html say:
LidSwitchIgnoreInhibited= defaults to yes. This means that the lid switch does not respect suspend blockers by default, but the power and sleep keys do.

Seems to be an oddity that according to the docs lidswitch inhibitors are *ignored by default*?  Though, tried setting 
/etc/systemd/logind.conf: LidSwitchIgnoreInhibited=no
but that seemed to have no effect testing the issues here (I was still able to reproduce a double sleep per comment #15).
Comment 24 Rex Dieter 2013-01-10 12:47:15 EST
Further evidence gleened from /var/log/messages after a double suspend happens:

... systemd-logind[]: Suspending...
...
... systemd-login[]: Lid opened.
...
... systemd-sleep: /usr/lib/systemd/system-sleep/notify-upower.sh exited with exit status 1.
... systemd-sleep:[]: Suspending system...


Mind you this all happened with
$ systemd-inhibit --list
WHAT                  WHO                  WHY                  MODE     UID    PID
handle-power-key:handle-suspend-key:handle-hibernate-key:handle-lid-switch PowerDevil           KDE handles p...ents block   1000   ...


Note too that kde/solid currently requests suspend via upower dbus interface, if that's possibly relevant:
org.freedesktop.UPower /org/freedesktop/UPower org.freedesktop.UPower.Suspend
Comment 25 Rex Dieter 2013-01-11 00:13:43 EST
Seemingly confirmed the upower connection.  Hacked powerdevil support to use
org.freedesktop.login1.Manager.Suspend 
instead of
org.freedesktop.UPower.Suspend

and double-sleep occurrences are gone for me (only tested 5-6 times, so far so good)
Comment 26 nucleo 2013-01-12 11:34:39 EST
Double suspending still happens after installing 197 update https://admin.fedoraproject.org/updates/FEDORA-2013-0655
Comment 27 Lennart Poettering 2013-01-13 18:00:14 EST
*** Bug 885396 has been marked as a duplicate of this bug. ***
Comment 28 Lennart Poettering 2013-01-14 17:51:54 EST
Rex, so this is something between KDE and upower?

I am seeing no issues as the described on my GNOME system. If this is KDE specific, I'd like to reassign this issue.
Comment 29 nucleo 2013-01-14 23:02:43 EST
kde-workspace-4.9.5-2.fc18 fixes double suspending
http://koji.fedoraproject.org/koji/buildinfo?buildID=378074
Comment 30 Lennart Poettering 2013-01-14 23:36:56 EST
I guess that is an answer ;-)
Comment 31 Kevin Kofler 2013-01-15 09:53:47 EST
Well, technically, the bug is somewhere in the interaction between upower and systemd. kde-workspace-4.9.5-2.fc18 works around it by using the systemd interfaces to suspend instead of the upower ones, which we'll want to do sooner or later anyway, so as far as KDE SIG is concerned, the bug is resolved (well, it will be resolved when the update actually goes out).

That said, other desktops are probably still affected by the issue.
Comment 32 Lukáš Tinkl 2013-01-15 10:15:48 EST
To completely fix the bug (and migrate to login1), we definitely need a "resumingFromSuspend" signal added to the login1 interface in the case it really gets removed from UPower
Comment 33 Fedora Update System 2013-01-15 14:40:19 EST
kde-workspace-4.9.5-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kde-workspace-4.9.5-2.fc18
Comment 34 Lennart Poettering 2013-01-15 17:05:30 EST
Lukas Tinkl: so we tried to stay away from introducing something like that, because this appeared so low-level to us that people should fiddle directly with the kernel. But I am slowly changing my mind about that, and might update logind to send out an official message out, without having clients to deal directly with the kernel.
Comment 35 Lukáš Tinkl 2013-01-16 07:54:35 EST
Lennart: that would be great
Comment 36 Rex Dieter 2013-01-16 07:58:05 EST
One side effect of this new build for me seems to be that some kde apps (konversation, for example) don't seem to auto-reconnect network connections on resume.

Lukáš, could that be a consequence of systemd-login1's lack of resumingFromSuspend signal or something else?
Comment 37 Lukáš Tinkl 2013-01-16 11:15:02 EST
Yes it is, altho note that we're using a preliminary version of the patch, the corresponding review (https://git.reviewboard.kde.org/r/108407/) isn't submitted to upstream KDE git repo yet
Comment 38 nucleo 2013-01-17 04:08:16 EST
Double suspending still happens with kde-workspace-4.9.5-2.fc18 if I close lid after switching to console with Ctrl+Alt+F2.
Comment 39 Fedora Update System 2013-01-18 15:23:14 EST
Package kde-workspace-4.9.5-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kde-workspace-4.9.5-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-0901/kde-workspace-4.9.5-2.fc18
then log in and leave karma (feedback).
Comment 40 Tommi Kyntola 2013-01-29 14:20:35 EST
For the record, I was suffering from double suspend here and kde-workspace-4.9.5-3.fc18 (which is what's in testing now) indeed fixes it.
(I had 4.9.5-1 before that, which was broken) 

It's a little different in other ways, too, the last view is flashed before lock kicks in and the lock is not active and waiting for a password like it was, now I need to presss a key or touch the pad to get to the login prompt in lock. But I suppose it's better than the double suspend.

There's possibly a duplicate bug report of this double suspend in bug 896073.

I'd give karma, but I can't find 4.9.5-3 in there...
Comment 41 Lukáš Tinkl 2013-01-30 07:51:18 EST
*** Bug 896073 has been marked as a duplicate of this bug. ***
Comment 42 Tommi Kyntola 2013-02-03 10:25:22 EST
Ok, I'm running the 4.9.5-4 now. The double suspend, like it was, is gone, but now I'm occasionally experiencing a new kind of double suspend. I only pulled the kde-workspace and it's direct dependencies an upgrade.

After a sleep I open the laptop, it wakes up, misses the lock screen (as in, I get to start typing into an open terminal plenty, I'd say 5s or so) and then it suddenly suspends again. Only after that I get the lock screen asking for a password.

For the record, the 4.9.5-3 was fishy with the lock, too, as in I often was the screen underneath the lock for a second, too, but I don't think it ever resuspended. And with the 4.9.5-[34] I've also witnessed a case where lock is on top of whatever happened to be underneath without the rest of the screen having been blacked out.

Those are all problematic security flaws in my opinion. Worse than the double suspend in 4.9.5-1, which just frequently resuspended before ever entering X and thus never really was a security issue.

Should I make a new bug of this/these or not?
Or should I try to pull more stuff from the testing?

Let me know if you needs logs or me try something out.
Comment 43 Kevin Kofler 2013-02-03 20:24:51 EST
We know the systemd suspend changes need more work. We dropped the current patch from the current kde-workspace build in updates-testing (4.9.5-7), so I'm resetting this bug to NEW.
Comment 44 Lukáš Tinkl 2013-02-11 17:08:54 EST
Just for the record, the problem is fixed in kde-workspace-4.10.0-7.fc18.x86_64 (available from the kde-unstable repo for now)
Comment 45 Rex Dieter 2013-02-16 13:36:17 EST
Let's consider the matter fixed coming when 4.10 lands.

and using systemd-login1 powermangement, we avoid the bugs, like double-suspending (mentioned elsewhere in this bug), associated with upower/systemd
Comment 46 moondrake 2013-02-20 18:01:55 EST
OK. But I am still curious whether or not systemd's behavior was broken or not. It seems strange that the locking could not be used to inhibit suspend. Has that been fixed or not? It could lead to other issues in the future.
Comment 47 rockonthemoonfm 2013-02-21 08:20:50 EST
I'm using archlinux with kde 4.10 and systemd 197.
double suspend after waking-up on lid open bug is still present, had to HandleLidSwitch=ignore in logind.conf to resolve it.
Comment 48 Kevin Kofler 2013-02-21 17:42:30 EST
That's expected, the bug is not fixed in upstream 4.10.0. It's fixed by this experimental patch which uses systemd instead of upower to handle suspend:
https://git.reviewboard.kde.org/r/108407/
which we are applying in Fedora 4.10 packaging. The comments on the review request say this was committed to the upstream KDE/4.10 branch a week ago, which means it should be fixed in 4.10.1.
Comment 49 Fedora Update System 2013-03-05 14:46:04 EST
akonadi-1.9.1-1.fc18, analitza-4.10.1-1.fc18, ark-4.10.1-1.fc18, audiocd-kio-4.10.1-1.fc18, avogadro-1.0.3-15.fc18, blinken-4.10.1-1.fc18, bomber-4.10.1-1.fc18, bovo-4.10.1-1.fc18, calligra-2.6.1-2.fc18.1, calligra-l10n-2.6.1-1.fc18, cantor-4.10.1-1.fc18, digikam-3.0.0-1.fc18, dragon-4.10.1-1.fc18, filelight-4.10.1-1.fc18, granatier-4.10.1-1.fc18, gwenview-4.10.1-1.fc18, iris-1.0.0-0.12.20110904svn812.fc18, jovie-4.10.1-1.fc18, juk-4.10.1-1.fc18, kaccessible-4.10.1-1.fc18, kactivities-4.10.1-1.fc18, kajongg-4.10.1-1.fc18, kalgebra-4.10.1-1.fc18, kalzium-4.10.1-1.fc18, kamera-4.10.1-1.fc18, kamoso-2.0.2-10.fc18, kanagram-4.10.1-1.fc18, kapman-4.10.1-1.fc18, kate-4.10.1-1.fc18, katomic-4.10.1-1.fc18, kblackbox-4.10.1-1.fc18, kblocks-4.10.1-1.fc18, kbounce-4.10.1-1.fc18, kbreakout-4.10.1-1.fc18, kbruch-4.10.1-1.fc18, kcalc-4.10.1-1.fc18, kcharselect-4.10.1-1.fc18, kcolorchooser-4.10.1-1.fc18, kdeaccessibility-4.10.1-1.fc18, kdeadmin-4.10.1-1.fc18, kdeartwork-4.10.1-1.fc18, kde-baseapps-4.10.1-1.fc18, kde-base-artwork-4.10.1-1.fc18, kdebindings-4.10.1-1.fc18, kdeedu-4.10.1-1.fc18, kdegames-4.10.1-1.fc18, kdegraphics-4.10.1-1.fc18, kdegraphics-mobipocket-4.10.1-1.fc18, kdegraphics-strigi-analyzer-4.10.1-1.fc18, kdegraphics-thumbnailers-4.10.1-1.fc18, kde-l10n-4.10.1-1.fc18, kdelibs-4.10.1-1.fc18, kdemultimedia-4.10.1-1.fc18, kdenetwork-4.10.1-1.fc18, kdepim-4.10.1-1.fc18, kdepimlibs-4.10.1-1.fc18, kdepim-runtime-4.10.1-1.fc18, kdeplasma-addons-4.10.1-1.fc18, kde-print-manager-4.10.1-1.fc18, kde-runtime-4.10.1-1.fc18, kdesdk-4.10.1-1.fc18, kdetoys-4.10.1-1.fc18, kdeutils-4.10.1-1.fc18, kde-wallpapers-4.10.1-1.fc18, kde-workspace-4.10.1-1.fc18, kdf-4.10.1-1.fc18, kdiamond-4.10.1-1.fc18, kfloppy-4.10.1-1.fc18, kfourinline-4.10.1-1.fc18, kgamma-4.10.1-1.fc18, kgeography-4.10.1-1.fc18, kgoldrunner-4.10.1-1.fc18, kgpg-4.10.1-1.fc18, khangman-4.10.1-1.fc18, kig-4.10.1-1.fc18, kigo-4.10.1-1.fc18, killbots-4.10.1-1.fc18, kimono-4.10.1-1.fc18, kiriki-4.10.1-1.fc18, kiten-4.10.1-1.fc18, kjumpingcube-4.10.1-1.fc18, klettres-4.10.1-1.fc18, klickety-4.10.1-1.fc18, klines-4.10.1-1.fc18, kmag-4.10.1-1.fc18, kmahjongg-4.10.1-1.fc18, kmines-4.10.1-1.fc18, kmix-4.10.1-1.fc18, kmousetool-4.10.1-1.fc18, kmouth-4.10.1-1.fc18, kmplot-4.10.1-1.fc18, kmymoney-4.6.3-4.fc18.2, knavalbattle-4.10.1-1.fc18, knetwalk-4.10.1-1.fc18, kolf-4.10.1-1.fc18, kollision-4.10.1-1.fc18, kolourpaint-4.10.1-1.fc18, konquest-4.10.1-1.fc18, konsole-4.10.1-1.fc18, kpat-4.10.1-1.fc18, kphotoalbum-4.4-1.fc18, kremotecontrol-4.10.1-1.fc18, kreversi-4.10.1-1.fc18, kross-interpreters-4.10.1-1.fc18, kruler-4.10.1-1.fc18, ksaneplugin-4.10.1-1.fc18, kscd-4.10.1-1.fc18, kshisen-4.10.1-1.fc18, ksirk-4.10.1-1.fc18, ksnakeduel-4.10.1-1.fc18, ksnapshot-4.10.1-1.fc18, kspaceduel-4.10.1-1.fc18, ksquares-4.10.1-1.fc18, kstars-4.10.1-1.fc18, ksudoku-4.10.1-1.fc18, ktimer-4.10.1-1.fc18, ktouch-4.10.1-1.fc18, ktuberling-4.10.1-1.fc18, kturtle-4.10.1-1.fc18, kubrick-4.10.1-1.fc18, kwallet-4.10.1-1.fc18, kwordquiz-4.10.1-1.fc18, libkcddb-4.10.1-1.fc18, libkcompactdisc-4.10.1-1.fc18, libkdcraw-4.10.1-1.fc18, libkdeedu-4.10.1-1.fc18, libkdegames-4.10.1-1.fc18, libkexiv2-4.10.1-1.fc18, libkipi-4.10.1-1.fc18, libkmahjongg-4.10.1-1.fc18, libksane-4.10.1-1.fc18, lskat-4.10.1-1.fc18, marble-4.10.1-1.fc18, nepomuk-core-4.10.1-1.fc18, nepomuk-widgets-4.10.1-1.fc18, okular-4.10.1-1.fc18, OpenGTL-0.9.18-1.fc18, oxygen-icon-theme-4.10.1-1.fc18, pairs-4.10.1-1.fc18, palapeli-4.10.1-1.fc18, parley-4.10.1-1.fc18, picmi-4.10.1-1.fc18, pykde4-4.10.1-1.fc18, PyQt4-4.10-1.fc18, PyQwt-5.2.0-20.fc18, qscintilla-2.7.1-1.fc18, qyoto-4.10.1-1.fc18, rocs-4.10.1-1.fc18, ruby-korundum-4.10.1-1.fc18, ruby-qt-4.10.1-1.fc18, sip-4.14.4-1.fc18, smokegen-4.10.1-1.fc18, smokekde-4.10.1-1.fc18, smokeqt-4.10.1-1.fc18, soprano-2.9.0-1.fc18, step-4.10.1-1.fc18, superkaramba-4.10.1-1.fc18, svgpart-4.10.1-1.fc18, sweeper-4.10.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/akonadi-1.9.1-1.fc18,analitza-4.10.1-1.fc18,ark-4.10.1-1.fc18,audiocd-kio-4.10.1-1.fc18,avogadro-1.0.3-15.fc18,blinken-4.10.1-1.fc18,bomber-4.10.1-1.fc18,bovo-4.10.1-1.fc18,calligra-2.6.1-2.fc18.1,calligra-l10n-2.6.1-1.fc18,cantor-4.10.1-1.fc18,digikam-3.0.0-1.fc18,dragon-4.10.1-1.fc18,filelight-4.10.1-1.fc18,granatier-4.10.1-1.fc18,gwenview-4.10.1-1.fc18,iris-1.0.0-0.12.20110904svn812.fc18,jovie-4.10.1-1.fc18,juk-4.10.1-1.fc18,kaccessible-4.10.1-1.fc18,kactivities-4.10.1-1.fc18,kajongg-4.10.1-1.fc18,kalgebra-4.10.1-1.fc18,kalzium-4.10.1-1.fc18,kamera-4.10.1-1.fc18,kamoso-2.0.2-10.fc18,kanagram-4.10.1-1.fc18,kapman-4.10.1-1.fc18,kate-4.10.1-1.fc18,katomic-4.10.1-1.fc18,kblackbox-4.10.1-1.fc18,kblocks-4.10.1-1.fc18,kbounce-4.10.1-1.fc18,kbreakout-4.10.1-1.fc18,kbruch-4.10.1-1.fc18,kcalc-4.10.1-1.fc18,kcharselect-4.10.1-1.fc18,kcolorchooser-4.10.1-1.fc18,kdeaccessibility-4.10.1-1.fc18,kdeadmin-4.10.1-1.fc18,kdeartwork-4.10.1-1.fc18,kde-baseapps-4.10.1-1.fc18,kde-base-artwork-4.10.1-1.fc18,kdebindings-4.10.1-1.fc18,kdeedu-4.10.1-1.fc18,kdegames-4.10.1-1.fc18,kdegraphics-4.10.1-1.fc18,kdegraphics-mobipocket-4.10.1-1.fc18,kdegraphics-strigi-analyzer-4.10.1-1.fc18,kdegraphics-thumbnailers-4.10.1-1.fc18,kde-l10n-4.10.1-1.fc18,kdelibs-4.10.1-1.fc18,kdemultimedia-4.10.1-1.fc18,kdenetwork-4.10.1-1.fc18,kdepim-4.10.1-1.fc18,kdepimlibs-4.10.1-1.fc18,kdepim-runtime-4.10.1-1.fc18,kdeplasma-addons-4.10.1-1.fc18,kde-print-manager-4.10.1-1.fc18,kde-runtime-4.10.1-1.fc18,kdesdk-4.10.1-1.fc18,kdetoys-4.10.1-1.fc18,kdeutils-4.10.1-1.fc18,kde-wallpapers-4.10.1-1.fc18,kde-workspace-4.10.1-1.fc18,kdf-4.10.1-1.fc18,kdiamond-4.10.1-1.fc18,kfloppy-4.10.1-1.fc18,kfourinline-4.10.1-1.fc18,kgamma-4.10.1-1.fc18,kgeography-4.10.1-1.fc18,kgoldrunner-4.10.1-1.fc18,kgpg-4.10.1-1.fc18,khangman-4.10.1-1.fc18,kig-4.10.1-1.fc18,kigo-4.10.1-1.fc18,killbots-4.10.1-1.fc18,kimono-4.10.1-1.fc18,kiriki-4.10.1-1.fc18,kiten-4.10.1-1.fc18,kjumpingcube-4.10.1-1.fc18,klettres-4.10.1-1.fc18,klickety-4.10.1-1.fc18,klines-4.10.1-1.fc18,kmag-4.10.1-1.fc18,kmahjongg-4.10.1-1.fc18,kmines-4.10.1-1.fc18,kmix-4.10.1-1.fc18,kmousetool-4.10.1-1.fc18,kmouth-4.10.1-1.fc18,kmplot-4.10.1-1.fc18,kmymoney-4.6.3-4.fc18.2,knavalbattle-4.10.1-1.fc18,knetwalk-4.10.1-1.fc18,kolf-4.10.1-1.fc18,kollision-4.10.1-1.fc18,kolourpaint-4.10.1-1.fc18,konquest-4.10.1-1.fc18,konsole-4.10.1-1.fc18,kpat-4.10.1-1.fc18,kphotoalbum-4.4-1.fc18,kremotecontrol-4.10.1-1.fc18,kreversi-4.10.1-1.fc18,kross-interpreters-4.10.1-1.fc18,kruler-4.10.1-1.fc18,ksaneplugin-4.10.1-1.fc18,kscd-4.10.1-1.fc18,kshisen-4.10.1-1.fc18,ksirk-4.10.1-1.fc18,ksnakeduel-4.10.1-1.fc18,ksnapshot-4.10.1-1.fc18,kspaceduel-4.10.1-1.fc18,ksquares-4.10.1-1.fc18,kstars-4.10.1-1.fc18,ksudoku-4.10.1-1.fc18,ktimer-4.10.1-1.fc18,ktouch-4.10.1-1.fc18,ktuberling-4.10.1-1.fc18,kturtle-4.10.1-1.fc18,kubrick-4.10.1-1.fc18,kwallet-4.10.1-1.fc18,kwordquiz-4.10.1-1.fc18,libkcddb-4.10.1-1.fc18,libkcompactdisc-4.10.1-1.fc18,libkdcraw-4.10.1-1.fc18,libkdeedu-4.10.1-1.fc18,libkdegames-4.10.1-1.fc18,libkexiv2-4.10.1-1.fc18,libkipi-4.10.1-1.fc18,libkmahjongg-4.10.1-1.fc18,libksane-4.10.1-1.fc18,lskat-4.10.1-1.fc18,marble-4.10.1-1.fc18,nepomuk-core-4.10.1-1.fc18,nepomuk-widgets-4.10.1-1.fc18,okular-4.10.1-1.fc18,OpenGTL-0.9.18-1.fc18,oxygen-icon-theme-4.10.1-1.fc18,pairs-4.10.1-1.fc18,palapeli-4.10.1-1.fc18,parley-4.10.1-1.fc18,picmi-4.10.1-1.fc18,pykde4-4.10.1-1.fc18,PyQt4-4.10-1.fc18,PyQwt-5.2.0-20.fc18,qscintilla-2.7.1-1.fc18,qyoto-4.10.1-1.fc18,rocs-4.10.1-1.fc18,ruby-korundum-4.10.1-1.fc18,ruby-qt-4.10.1-1.fc18,sip-4.14.4-1.fc18,smokegen-4.10.1-1.fc18,smokekde-4.10.1-1.fc18,smokeqt-4.10.1-1.fc18,soprano-2.9.0-1.fc18,step-4.10.1-1.fc18,superkaramba-4.10.1-1.fc18,svgpart-4.10.1-1.fc18,sweeper-4.10.1-1.fc18
Comment 50 Fedora Update System 2013-03-06 18:03:02 EST
Package akonadi-1.9.1-1.fc18, analitza-4.10.1-1.fc18, ark-4.10.1-1.fc18, audiocd-kio-4.10.1-1.fc18, avogadro-1.0.3-15.fc18, blinken-4.10.1-1.fc18, bomber-4.10.1-1.fc18, bovo-4.10.1-1.fc18, calligra-2.6.1-2.fc18.1, calligra-l10n-2.6.1-1.fc18, cantor-4.10.1-1.fc18, digikam-3.0.0-1.fc18, dragon-4.10.1-1.fc18, filelight-4.10.1-1.fc18, granatier-4.10.1-1.fc18, gwenview-4.10.1-1.fc18, iris-1.0.0-0.12.20110904svn812.fc18, jovie-4.10.1-1.fc18, juk-4.10.1-1.fc18, kaccessible-4.10.1-1.fc18, kactivities-4.10.1-1.fc18, kajongg-4.10.1-1.fc18, kalgebra-4.10.1-1.fc18, kalzium-4.10.1-1.fc18, kamera-4.10.1-1.fc18, kamoso-2.0.2-10.fc18, kanagram-4.10.1-1.fc18, kapman-4.10.1-1.fc18, kate-4.10.1-1.fc18, katomic-4.10.1-1.fc18, kblackbox-4.10.1-1.fc18, kblocks-4.10.1-1.fc18, kbounce-4.10.1-1.fc18, kbreakout-4.10.1-1.fc18, kbruch-4.10.1-1.fc18, kcalc-4.10.1-1.fc18, kcharselect-4.10.1-1.fc18, kcolorchooser-4.10.1-1.fc18, kdeaccessibility-4.10.1-1.fc18, kdeadmin-4.10.1-1.fc18, kdeartwork-4.10.1-1.fc18, kde-baseapps-4.10.1-1.fc18, kde-base-artwork-4.10.1-1.fc18, kdebindings-4.10.1-1.fc18, kdeedu-4.10.1-1.fc18, kdegames-4.10.1-1.fc18, kdegraphics-4.10.1-1.fc18, kdegraphics-mobipocket-4.10.1-1.fc18, kdegraphics-strigi-analyzer-4.10.1-1.fc18, kdegraphics-thumbnailers-4.10.1-1.fc18, kde-l10n-4.10.1-1.fc18, kdelibs-4.10.1-1.fc18, kdemultimedia-4.10.1-1.fc18, kdenetwork-4.10.1-1.fc18, kdepim-4.10.1-1.fc18, kdepimlibs-4.10.1-1.fc18, kdepim-runtime-4.10.1-1.fc18, kdeplasma-addons-4.10.1-1.fc18, kde-print-manager-4.10.1-1.fc18, kde-runtime-4.10.1-1.fc18, kdesdk-4.10.1-1.fc18, kdetoys-4.10.1-1.fc18, kdeutils-4.10.1-1.fc18, kde-wallpapers-4.10.1-1.fc18, kde-workspace-4.10.1-1.fc18, kdf-4.10.1-1.fc18, kdiamond-4.10.1-1.fc18, kfloppy-4.10.1-1.fc18, kfourinline-4.10.1-1.fc18, kgamma-4.10.1-1.fc18, kgeography-4.10.1-1.fc18, kgoldrunner-4.10.1-1.fc18, kgpg-4.10.1-1.fc18, khangman-4.10.1-1.fc18, kig-4.10.1-1.fc18, kigo-4.10.1-1.fc18, killbots-4.10.1-1.fc18, kimono-4.10.1-1.fc18, kiriki-4.10.1-1.fc18, kiten-4.10.1-1.fc18, kjumpingcube-4.10.1-1.fc18, klettres-4.10.1-1.fc18, klickety-4.10.1-1.fc18, klines-4.10.1-1.fc18, kmag-4.10.1-1.fc18, kmahjongg-4.10.1-1.fc18, kmines-4.10.1-1.fc18, kmix-4.10.1-1.fc18, kmousetool-4.10.1-1.fc18, kmouth-4.10.1-1.fc18, kmplot-4.10.1-1.fc18, kmymoney-4.6.3-4.fc18.2, knavalbattle-4.10.1-1.fc18, knetwalk-4.10.1-1.fc18, kolf-4.10.1-1.fc18, kollision-4.10.1-1.fc18, kolourpaint-4.10.1-1.fc18, konquest-4.10.1-1.fc18, konsole-4.10.1-1.fc18, kpat-4.10.1-1.fc18, kphotoalbum-4.4-1.fc18, kremotecontrol-4.10.1-1.fc18, kreversi-4.10.1-1.fc18, kross-interpreters-4.10.1-1.fc18, kruler-4.10.1-1.fc18, ksaneplugin-4.10.1-1.fc18, kscd-4.10.1-1.fc18, kshisen-4.10.1-1.fc18, ksirk-4.10.1-1.fc18, ksnakeduel-4.10.1-1.fc18, ksnapshot-4.10.1-1.fc18, kspaceduel-4.10.1-1.fc18, ksquares-4.10.1-1.fc18, kstars-4.10.1-1.fc18, ksudoku-4.10.1-1.fc18, ktimer-4.10.1-1.fc18, ktouch-4.10.1-1.fc18, ktuberling-4.10.1-1.fc18, kturtle-4.10.1-1.fc18, kubrick-4.10.1-1.fc18, kwallet-4.10.1-1.fc18, kwordquiz-4.10.1-1.fc18, libkcddb-4.10.1-1.fc18, libkcompactdisc-4.10.1-1.fc18, libkdcraw-4.10.1-1.fc18, libkdeedu-4.10.1-1.fc18, libkdegames-4.10.1-1.fc18, libkexiv2-4.10.1-1.fc18, libkipi-4.10.1-1.fc18, libkmahjongg-4.10.1-1.fc18, libksane-4.10.1-1.fc18, lskat-4.10.1-1.fc18, marble-4.10.1-1.fc18, nepomuk-core-4.10.1-1.fc18, nepomuk-widgets-4.10.1-1.fc18, okular-4.10.1-1.fc18, OpenGTL-0.9.18-1.fc18, oxygen-icon-theme-4.10.1-1.fc18, pairs-4.10.1-1.fc18, palapeli-4.10.1-1.fc18, parley-4.10.1-1.fc18, picmi-4.10.1-1.fc18, pykde4-4.10.1-1.fc18, PyQt4-4.10-1.fc18, PyQwt-5.2.0-20.fc18, qscintilla-2.7.1-1.fc18, qyoto-4.10.1-1.fc18, rocs-4.10.1-1.fc18, ruby-korundum-4.10.1-1.fc18, ruby-qt-4.10.1-1.fc18, sip-4.14.4-1.fc18, smokegen-4.10.1-1.fc18, smokekde-4.10.1-1.fc18, smokeqt-4.10.1-1.fc18, soprano-2.9.0-1.fc18, step-4.10.1-1.fc18, superkaramba-4.10.1-1.fc18, svgpart-4.10.1-1.fc18, sweeper-4.10.1-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing akonadi-1.9.1-1.fc18 analitza-4.10.1-1.fc18 ark-4.10.1-1.fc18 audiocd-kio-4.10.1-1.fc18 avogadro-1.0.3-15.fc18 blinken-4.10.1-1.fc18 bomber-4.10.1-1.fc18 bovo-4.10.1-1.fc18 calligra-2.6.1-2.fc18.1 calligra-l10n-2.6.1-1.fc18 cantor-4.10.1-1.fc18 digikam-3.0.0-1.fc18 dragon-4.10.1-1.fc18 filelight-4.10.1-1.fc18 granatier-4.10.1-1.fc18 gwenview-4.10.1-1.fc18 iris-1.0.0-0.12.20110904svn812.fc18 jovie-4.10.1-1.fc18 juk-4.10.1-1.fc18 kaccessible-4.10.1-1.fc18 kactivities-4.10.1-1.fc18 kajongg-4.10.1-1.fc18 kalgebra-4.10.1-1.fc18 kalzium-4.10.1-1.fc18 kamera-4.10.1-1.fc18 kamoso-2.0.2-10.fc18 kanagram-4.10.1-1.fc18 kapman-4.10.1-1.fc18 kate-4.10.1-1.fc18 katomic-4.10.1-1.fc18 kblackbox-4.10.1-1.fc18 kblocks-4.10.1-1.fc18 kbounce-4.10.1-1.fc18 kbreakout-4.10.1-1.fc18 kbruch-4.10.1-1.fc18 kcalc-4.10.1-1.fc18 kcharselect-4.10.1-1.fc18 kcolorchooser-4.10.1-1.fc18 kdeaccessibility-4.10.1-1.fc18 kdeadmin-4.10.1-1.fc18 kdeartwork-4.10.1-1.fc18 kde-baseapps-4.10.1-1.fc18 kde-base-artwork-4.10.1-1.fc18 kdebindings-4.10.1-1.fc18 kdeedu-4.10.1-1.fc18 kdegames-4.10.1-1.fc18 kdegraphics-4.10.1-1.fc18 kdegraphics-mobipocket-4.10.1-1.fc18 kdegraphics-strigi-analyzer-4.10.1-1.fc18 kdegraphics-thumbnailers-4.10.1-1.fc18 kde-l10n-4.10.1-1.fc18 kdelibs-4.10.1-1.fc18 kdemultimedia-4.10.1-1.fc18 kdenetwork-4.10.1-1.fc18 kdepim-4.10.1-1.fc18 kdepimlibs-4.10.1-1.fc18 kdepim-runtime-4.10.1-1.fc18 kdeplasma-addons-4.10.1-1.fc18 kde-print-manager-4.10.1-1.fc18 kde-runtime-4.10.1-1.fc18 kdesdk-4.10.1-1.fc18 kdetoys-4.10.1-1.fc18 kdeutils-4.10.1-1.fc18 kde-wallpapers-4.10.1-1.fc18 kde-workspace-4.10.1-1.fc18 kdf-4.10.1-1.fc18 kdiamond-4.10.1-1.fc18 kfloppy-4.10.1-1.fc18 kfourinline-4.10.1-1.fc18 kgamma-4.10.1-1.fc18 kgeography-4.10.1-1.fc18 kgoldrunner-4.10.1-1.fc18 kgpg-4.10.1-1.fc18 khangman-4.10.1-1.fc18 kig-4.10.1-1.fc18 kigo-4.10.1-1.fc18 killbots-4.10.1-1.fc18 kimono-4.10.1-1.fc18 kiriki-4.10.1-1.fc18 kiten-4.10.1-1.fc18 kjumpingcube-4.10.1-1.fc18 klettres-4.10.1-1.fc18 klickety-4.10.1-1.fc18 klines-4.10.1-1.fc18 kmag-4.10.1-1.fc18 kmahjongg-4.10.1-1.fc18 kmines-4.10.1-1.fc18 kmix-4.10.1-1.fc18 kmousetool-4.10.1-1.fc18 kmouth-4.10.1-1.fc18 kmplot-4.10.1-1.fc18 kmymoney-4.6.3-4.fc18.2 knavalbattle-4.10.1-1.fc18 knetwalk-4.10.1-1.fc18 kolf-4.10.1-1.fc18 kollision-4.10.1-1.fc18 kolourpaint-4.10.1-1.fc18 konquest-4.10.1-1.fc18 konsole-4.10.1-1.fc18 kpat-4.10.1-1.fc18 kphotoalbum-4.4-1.fc18 kremotecontrol-4.10.1-1.fc18 kreversi-4.10.1-1.fc18 kross-interpreters-4.10.1-1.fc18 kruler-4.10.1-1.fc18 ksaneplugin-4.10.1-1.fc18 kscd-4.10.1-1.fc18 kshisen-4.10.1-1.fc18 ksirk-4.10.1-1.fc18 ksnakeduel-4.10.1-1.fc18 ksnapshot-4.10.1-1.fc18 kspaceduel-4.10.1-1.fc18 ksquares-4.10.1-1.fc18 kstars-4.10.1-1.fc18 ksudoku-4.10.1-1.fc18 ktimer-4.10.1-1.fc18 ktouch-4.10.1-1.fc18 ktuberling-4.10.1-1.fc18 kturtle-4.10.1-1.fc18 kubrick-4.10.1-1.fc18 kwallet-4.10.1-1.fc18 kwordquiz-4.10.1-1.fc18 libkcddb-4.10.1-1.fc18 libkcompactdisc-4.10.1-1.fc18 libkdcraw-4.10.1-1.fc18 libkdeedu-4.10.1-1.fc18 libkdegames-4.10.1-1.fc18 libkexiv2-4.10.1-1.fc18 libkipi-4.10.1-1.fc18 libkmahjongg-4.10.1-1.fc18 libksane-4.10.1-1.fc18 lskat-4.10.1-1.fc18 marble-4.10.1-1.fc18 nepomuk-core-4.10.1-1.fc18 nepomuk-widgets-4.10.1-1.fc18 okular-4.10.1-1.fc18 OpenGTL-0.9.18-1.fc18 oxygen-icon-theme-4.10.1-1.fc18 pairs-4.10.1-1.fc18 palapeli-4.10.1-1.fc18 parley-4.10.1-1.fc18 picmi-4.10.1-1.fc18 pykde4-4.10.1-1.fc18 PyQt4-4.10-1.fc18 PyQwt-5.2.0-20.fc18 qscintilla-2.7.1-1.fc18 qyoto-4.10.1-1.fc18 rocs-4.10.1-1.fc18 ruby-korundum-4.10.1-1.fc18 ruby-qt-4.10.1-1.fc18 sip-4.14.4-1.fc18 smokegen-4.10.1-1.fc18 smokekde-4.10.1-1.fc18 smokeqt-4.10.1-1.fc18 soprano-2.9.0-1.fc18 step-4.10.1-1.fc18 superkaramba-4.10.1-1.fc18 svgpart-4.10.1-1.fc18 sweeper-4.10.1-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-3505/akonadi-1.9.1-1.fc18,analitza-4.10.1-1.fc18,ark-4.10.1-1.fc18,audiocd-kio-4.10.1-1.fc18,avogadro-1.0.3-15.fc18,blinken-4.10.1-1.fc18,bomber-4.10.1-1.fc18,bovo-4.10.1-1.fc18,calligra-2.6.1-2.fc18.1,calligra-l10n-2.6.1-1.fc18,cantor-4.10.1-1.fc18,digikam-3.0.0-1.fc18,dragon-4.10.1-1.fc18,filelight-4.10.1-1.fc18,granatier-4.10.1-1.fc18,gwenview-4.10.1-1.fc18,iris-1.0.0-0.12.20110904svn812.fc18,jovie-4.10.1-1.fc18,juk-4.10.1-1.fc18,kaccessible-4.10.1-1.fc18,kactivities-4.10.1-1.fc18,kajongg-4.10.1-1.fc18,kalgebra-4.10.1-1.fc18,kalzium-4.10.1-1.fc18,kamera-4.10.1-1.fc18,kamoso-2.0.2-10.fc18,kanagram-4.10.1-1.fc18,kapman-4.10.1-1.fc18,kate-4.10.1-1.fc18,katomic-4.10.1-1.fc18,kblackbox-4.10.1-1.fc18,kblocks-4.10.1-1.fc18,kbounce-4.10.1-1.fc18,kbreakout-4.10.1-1.fc18,kbruch-4.10.1-1.fc18,kcalc-4.10.1-1.fc18,kcharselect-4.10.1-1.fc18,kcolorchooser-4.10.1-1.fc18,kdeaccessibility-4.10.1-1.fc18,kdeadmin-4.10.1-1.fc18,kdeartwork-4.10.1-1.fc18,kde-baseapps-4.10.1-1.fc18,kde-base-artwork-4.10.1-1.fc18,kdebindings-4.10.1-1.fc18,kdeedu-4.10.1-1.fc18,kdegames-4.10.1-1.fc18,kdegraphics-4.10.1-1.fc18,kdegraphics-mobipocket-4.10.1-1.fc18,kdegraphics-strigi-analyzer-4.10.1-1.fc18,kdegraphics-thumbnailers-4.10.1-1.fc18,kde-l10n-4.10.1-1.fc18,kdelibs-4.10.1-1.fc18,kdemultimedia-4.10.1-1.fc18,kdenetwork-4.10.1-1.fc18,kdepim-4.10.1-1.fc18,kdepimlibs-4.10.1-1.fc18,kdepim-runtime-4.10.1-1.fc18,kdeplasma-addons-4.10.1-1.fc18,kde-print-manager-4.10.1-1.fc18,kde-runtime-4.10.1-1.fc18,kdesdk-4.10.1-1.fc18,kdetoys-4.10.1-1.fc18,kdeutils-4.10.1-1.fc18,kde-wallpapers-4.10.1-1.fc18,kde-workspace-4.10.1-1.fc18,kdf-4.10.1-1.fc18,kdiamond-4.10.1-1.fc18,kfloppy-4.10.1-1.fc18,kfourinline-4.10.1-1.fc18,kgamma-4.10.1-1.fc18,kgeography-4.10.1-1.fc18,kgoldrunner-4.10.1-1.fc18,kgpg-4.10.1-1.fc18,khangman-4.10.1-1.fc18,kig-4.10.1-1.fc18,kigo-4.10.1-1.fc18,killbots-4.10.1-1.fc18,kimono-4.10.1-1.fc18,kiriki-4.10.1-1.fc18,kiten-4.10.1-1.fc18,kjumpingcube-4.10.1-1.fc18,klettres-4.10.1-1.fc18,klickety-4.10.1-1.fc18,klines-4.10.1-1.fc18,kmag-4.10.1-1.fc18,kmahjongg-4.10.1-1.fc18,kmines-4.10.1-1.fc18,kmix-4.10.1-1.fc18,kmousetool-4.10.1-1.fc18,kmouth-4.10.1-1.fc18,kmplot-4.10.1-1.fc18,kmymoney-4.6.3-4.fc18.2,knavalbattle-4.10.1-1.fc18,knetwalk-4.10.1-1.fc18,kolf-4.10.1-1.fc18,kollision-4.10.1-1.fc18,kolourpaint-4.10.1-1.fc18,konquest-4.10.1-1.fc18,konsole-4.10.1-1.fc18,kpat-4.10.1-1.fc18,kphotoalbum-4.4-1.fc18,kremotecontrol-4.10.1-1.fc18,kreversi-4.10.1-1.fc18,kross-interpreters-4.10.1-1.fc18,kruler-4.10.1-1.fc18,ksaneplugin-4.10.1-1.fc18,kscd-4.10.1-1.fc18,kshisen-4.10.1-1.fc18,ksirk-4.10.1-1.fc18,ksnakeduel-4.10.1-1.fc18,ksnapshot-4.10.1-1.fc18,kspaceduel-4.10.1-1.fc18,ksquares-4.10.1-1.fc18,kstars-4.10.1-1.fc18,ksudoku-4.10.1-1.fc18,ktimer-4.10.1-1.fc18,ktouch-4.10.1-1.fc18,ktuberling-4.10.1-1.fc18,kturtle-4.10.1-1.fc18,kubrick-4.10.1-1.fc18,kwallet-4.10.1-1.fc18,kwordquiz-4.10.1-1.fc18,libkcddb-4.10.1-1.fc18,libkcompactdisc-4.10.1-1.fc18,libkdcraw-4.10.1-1.fc18,libkdeedu-4.10.1-1.fc18,libkdegames-4.10.1-1.fc18,libkexiv2-4.10.1-1.fc18,libkipi-4.10.1-1.fc18,libkmahjongg-4.10.1-1.fc18,libksane-4.10.1-1.fc18,lskat-4.10.1-1.fc18,marble-4.10.1-1.fc18,nepomuk-core-4.10.1-1.fc18,nepomuk-widgets-4.10.1-1.fc18,okular-4.10.1-1.fc18,OpenGTL-0.9.18-1.fc18,oxygen-icon-theme-4.10.1-1.fc18,pairs-4.10.1-1.fc18,palapeli-4.10.1-1.fc18,parley-4.10.1-1.fc18,picmi-4.10.1-1.fc18,pykde4-4.10.1-1.fc18,PyQt4-4.10-1.fc18,PyQwt-5.2.0-20.fc18,qscintilla-2.7.1-1.fc18,qyoto-4.10.1-1.fc18,rocs-4.10.1-1.fc18,ruby-korundum-4.10.1-1.fc18,ruby-qt-4.10.1-1.fc18,sip-4.14.4-1.fc18,smokegen-4.10.1-1.fc18,smokekde-4.10.1-1.fc18,smokeqt-4.10.1-1.fc18,soprano-2.9.0-1.fc18,step-4.10.1-1.fc18,superkaramba-4.10.1-1.fc18,svgpart-4.10.1-1.fc18,sweeper-4.10.1-1.fc18
then log in and leave karma (feedback).
Comment 51 Eric Donkersloot 2013-03-07 04:24:59 EST
I'm using Arch linux with KDE 4.10.1 and the double suspend issue is still present.
Comment 52 Tommi Kyntola 2013-03-07 16:26:21 EST
The double suspend would seem to be gone, but not without issues. The kscreenlocker_greet is brought in a little late again with the 4.10.1. One to three sceconds of desktop being visible after opening the lid before the lock kicks in and blanks the screen with the login prompt. Even though it doesn't take input and it's a one time deal, it's not exactly a good thing.

Also if I suspend and resume from the console with the lid, after getting back to the X and kde I get a removed sound device popups, two to be exact. But if I recall correctly, I may have seen this same thing with earlier versions while I did similar tests. And it's a different issue I suppose.
Comment 53 Jiri Slaby 2013-03-10 13:55:22 EDT
(In reply to comment #4)
> KDE review request: https://git.reviewboard.kde.org/r/106533/

This might be of interest here:
https://bugs.kde.org/show_bug.cgi?id=316473
Comment 54 Fedora Update System 2013-03-17 22:35:02 EDT
digikam-3.0.0-1.fc18.1, kdenetwork-4.10.1-2.fc18, rekonq-2.2.1-2.fc18, kde-workspace-4.10.1-2.fc18, qaccessibilityclient-0.1.0-0.2.20121113git.fc18, kmag-4.10.1-2.fc18, akonadi-1.9.1-1.fc18, analitza-4.10.1-1.fc18, ark-4.10.1-1.fc18, audiocd-kio-4.10.1-1.fc18, avogadro-1.0.3-15.fc18, blinken-4.10.1-1.fc18, bomber-4.10.1-1.fc18, bovo-4.10.1-1.fc18, calligra-2.6.1-2.fc18.1, calligra-l10n-2.6.1-1.fc18, cantor-4.10.1-1.fc18, dragon-4.10.1-1.fc18, filelight-4.10.1-1.fc18, granatier-4.10.1-1.fc18, gwenview-4.10.1-1.fc18, iris-1.0.0-0.12.20110904svn812.fc18, jovie-4.10.1-1.fc18, juk-4.10.1-1.fc18, kaccessible-4.10.1-1.fc18, kactivities-4.10.1-1.fc18, kajongg-4.10.1-1.fc18, kalgebra-4.10.1-1.fc18, kalzium-4.10.1-1.fc18, kamera-4.10.1-1.fc18, kamoso-2.0.2-10.fc18, kanagram-4.10.1-1.fc18, kapman-4.10.1-1.fc18, kate-4.10.1-1.fc18, katomic-4.10.1-1.fc18, kblackbox-4.10.1-1.fc18, kblocks-4.10.1-1.fc18, kbounce-4.10.1-1.fc18, kbreakout-4.10.1-1.fc18, kbruch-4.10.1-1.fc18, kcalc-4.10.1-1.fc18, kcharselect-4.10.1-1.fc18, kcolorchooser-4.10.1-1.fc18, kdeaccessibility-4.10.1-1.fc18, kdeadmin-4.10.1-1.fc18, kdeartwork-4.10.1-1.fc18, kde-baseapps-4.10.1-1.fc18, kde-base-artwork-4.10.1-1.fc18, kdebindings-4.10.1-1.fc18, kdeedu-4.10.1-1.fc18, kdegames-4.10.1-1.fc18, kdegraphics-4.10.1-1.fc18, kdegraphics-mobipocket-4.10.1-1.fc18, kdegraphics-strigi-analyzer-4.10.1-1.fc18, kdegraphics-thumbnailers-4.10.1-1.fc18, kde-l10n-4.10.1-1.fc18, kdelibs-4.10.1-1.fc18, kdemultimedia-4.10.1-1.fc18, kdepim-4.10.1-1.fc18, kdepimlibs-4.10.1-1.fc18, kdepim-runtime-4.10.1-1.fc18, kdeplasma-addons-4.10.1-1.fc18, kde-print-manager-4.10.1-1.fc18, kde-runtime-4.10.1-1.fc18, kdesdk-4.10.1-1.fc18, kdetoys-4.10.1-1.fc18, kdeutils-4.10.1-1.fc18, kde-wallpapers-4.10.1-1.fc18, kdf-4.10.1-1.fc18, kdiamond-4.10.1-1.fc18, kfloppy-4.10.1-1.fc18, kfourinline-4.10.1-1.fc18, kgamma-4.10.1-1.fc18, kgeography-4.10.1-1.fc18, kgoldrunner-4.10.1-1.fc18, kgpg-4.10.1-1.fc18, khangman-4.10.1-1.fc18, kig-4.10.1-1.fc18, kigo-4.10.1-1.fc18, killbots-4.10.1-1.fc18, kimono-4.10.1-1.fc18, kiriki-4.10.1-1.fc18, kiten-4.10.1-1.fc18, kjumpingcube-4.10.1-1.fc18, klettres-4.10.1-1.fc18, klickety-4.10.1-1.fc18, klines-4.10.1-1.fc18, kmahjongg-4.10.1-1.fc18, kmines-4.10.1-1.fc18, kmix-4.10.1-1.fc18, kmousetool-4.10.1-1.fc18, kmouth-4.10.1-1.fc18, kmplot-4.10.1-1.fc18, kmymoney-4.6.3-4.fc18.2, knavalbattle-4.10.1-1.fc18, knetwalk-4.10.1-1.fc18, kolf-4.10.1-1.fc18, kollision-4.10.1-1.fc18, kolourpaint-4.10.1-1.fc18, konquest-4.10.1-1.fc18, konsole-4.10.1-1.fc18, kpat-4.10.1-1.fc18, kphotoalbum-4.4-1.fc18, kremotecontrol-4.10.1-1.fc18, kreversi-4.10.1-1.fc18, kross-interpreters-4.10.1-1.fc18, kruler-4.10.1-1.fc18, ksaneplugin-4.10.1-1.fc18, kscd-4.10.1-1.fc18, kshisen-4.10.1-1.fc18, ksirk-4.10.1-1.fc18, ksnakeduel-4.10.1-1.fc18, ksnapshot-4.10.1-1.fc18, kspaceduel-4.10.1-1.fc18, ksquares-4.10.1-1.fc18, kstars-4.10.1-1.fc18, ksudoku-4.10.1-1.fc18, ktimer-4.10.1-1.fc18, ktouch-4.10.1-1.fc18, ktuberling-4.10.1-1.fc18, kturtle-4.10.1-1.fc18, kubrick-4.10.1-1.fc18, kwallet-4.10.1-1.fc18, kwordquiz-4.10.1-1.fc18, libkcddb-4.10.1-1.fc18, libkcompactdisc-4.10.1-1.fc18, libkdcraw-4.10.1-1.fc18, libkdeedu-4.10.1-1.fc18, libkdegames-4.10.1-1.fc18, libkexiv2-4.10.1-1.fc18, libkipi-4.10.1-1.fc18, libkmahjongg-4.10.1-1.fc18, libksane-4.10.1-1.fc18, lskat-4.10.1-1.fc18, marble-4.10.1-1.fc18, nepomuk-core-4.10.1-1.fc18, nepomuk-widgets-4.10.1-1.fc18, okular-4.10.1-1.fc18, OpenGTL-0.9.18-1.fc18, oxygen-icon-theme-4.10.1-1.fc18, pairs-4.10.1-1.fc18, palapeli-4.10.1-1.fc18, parley-4.10.1-1.fc18, picmi-4.10.1-1.fc18, pykde4-4.10.1-1.fc18, PyQt4-4.10-1.fc18, PyQwt-5.2.0-20.fc18, qyoto-4.10.1-1.fc18, rocs-4.10.1-1.fc18, ruby-korundum-4.10.1-1.fc18, ruby-qt-4.10.1-1.fc18, sip-4.14.4-1.fc18, smokegen-4.10.1-1.fc18, smokekde-4.10.1-1.fc18, smokeqt-4.10.1-1.fc18, soprano-2.9.0-1.fc18, step-4.10.1-1.fc18, superkaramba-4.10.1-1.fc18, svgpart-4.10.1-1.fc18, sweeper-4.10.1-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.